linux mint dist upgrade (12 to 13) problem

Questions about Grub, UEFI,the liveCD and the installer
Forum rules
Before you post please read how to get help

linux mint dist upgrade (12 to 13) problem

Postby lalilu on Sun May 27, 2012 3:24 am

hi and thx for reading!

following problem occured after i did a dist upgrade:
sudo apt-get upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut
Statusinformationen werden eingelesen... Fertig
Die folgenden Pakete werden aktualisiert (Upgrade):
linux-image-3.2.0-24-generic mint-search-addon
2 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
1 nicht vollständig installiert oder entfernt.
Es müssen noch 0 B von 37,7 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 19,5 kB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren [J/n]? J
(Lese Datenbank ... 282847 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Ersetzen von mint-search-addon 2011.08.15 (durch .../mint-search-addon_2012.05.11_all.deb) ...
Ersatz für mint-search-addon wird entpackt ...
dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/mint-search-addon_2012.05.11_all.deb (--unpack):
»/usr/lib/firefox-addons/extensions/mint-search-enhancer@linuxmint.com/install.rdf.dpkg-new« kann nicht geöffnet werden: Datei oder Verzeichnis nicht gefunden
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist
Fehler traten auf beim Bearbeiten von:
/var/cache/apt/archives/mint-search-addon_2012.05.11_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

sudo apt-get -f install does not fix the problem.

thanks for any help!
lalilu
Level 1
Level 1
 
Posts: 3
Joined: Sun May 27, 2012 3:06 am

Linux Mint is funded by ads and donations.
 

Re: linux mint dist upgrade (12 to 13) problem

Postby Guardian2003 on Tue May 29, 2012 8:32 pm

Just wanted to let you know you are not alone, I too have this problem - upgrading from 12 to 13 using apt.
I have updated the sources.list to reflect the new packages, done the usual;
Code: Select all
apt-get update
apt-get upgrade
apt-get dist-upgrade

and even tried -f install but the same error persists.

Originally I had errors regarding "lisa" not being a valid default value and found changing lisa for maya in /etc/apt/sources.list.save fixed that particular error.

I also noticed an error regarding the new kernel not being saved but I'll have to investigate that some more tommorow and post any error reports/logs.
Guardian2003
Level 1
Level 1
 
Posts: 2
Joined: Fri Dec 02, 2011 3:17 am

Re: linux mint dist upgrade (12 to 13) problem

Postby psylem on Wed May 30, 2012 12:08 am

Had the same trouble as you. Looks like it's expecting a Firefox extension that's missing...
Code: Select all
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  sessioninstaller
The following packages will be upgraded:
  mint-search-addon
1 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
247 not fully installed or removed.
Need to get 0 B/16.2 kB of archives.
After this operation, 18.4 kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
(Reading database ... 251075 files and directories currently installed.)
Preparing to replace mint-search-addon 2011.08.15 (using .../mint-search-addon_2012.05.11_all.deb) ...
Unpacking replacement mint-search-addon ...
dpkg: error processing /var/cache/apt/archives/mint-search-addon_2012.05.11_all.deb (--unpack):
 unable to open '/usr/lib/firefox-addons/extensions/mint-search-enhancer@linuxmint.com/install.rdf.dpkg-new': No such file or directory
No apport report written because the error message indicates an issue on the local system
                                                                                         Errors were encountered while processing:
 /var/cache/apt/archives/mint-search-addon_2012.05.11_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


To fix this I did "apt-get remove mint-search-addon" which also wanted to remove mint-meta-core, which I permitted. Then did "apt-get install mint-meta-core", which also reinstalled mint-search-addon.
psylem
Level 1
Level 1
 
Posts: 4
Joined: Thu Feb 09, 2012 12:35 am

Re: linux mint dist upgrade (12 to 13) problem

Postby lalilu on Wed May 30, 2012 10:48 am

thanks alot! i will try your solution tomorrow! hope it helps!
lalilu
Level 1
Level 1
 
Posts: 3
Joined: Sun May 27, 2012 3:06 am

Re: linux mint dist upgrade (12 to 13) problem

Postby jmcarter17 on Wed May 30, 2012 4:28 pm

I have a similar problem.

This is what the output of apt-get dist-upgrade gives me.

Code: Select all
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 insserv : Depends: libc6 (>= 2.14) but 2.13-20ubuntu5.1 is installed
 libc6 : Depends: libc-bin (= 2.13-20ubuntu5.1)
 libc6:i386 : Depends: libc-bin:i386 (= 2.13-20ubuntu5.1)
 libnewt0.52 : Depends: libc6 (>= 2.15) but 2.13-20ubuntu5.1 is installed
 whiptail : Depends: libc6 (>= 2.14) but 2.13-20ubuntu5.1 is installed
E: Unmet dependencies. Try using -f.


The apt-get -f install didn't help.
I tried the "apt-get remove mint-search-addon" (i didn't think that was my issue anyways) without success.

Thanks for the help in advance.
jmcarter17
Level 1
Level 1
 
Posts: 1
Joined: Wed May 30, 2012 4:23 pm

Re: linux mint dist upgrade (12 to 13) problem

Postby lalilu on Thu May 31, 2012 2:24 pm

your problem seems be related with your sources.list.....

anyhow ... you can get all needed packages from the ubuntu packages:

http://packages.ubuntu.com/precise/libc6

download and install them with : sudo dpkg -i *.deb

my problem is fixed ....

thanks alot ...

but unfortunalty there is another problem now with the package:

linux-image-3.2.0-24-generic

Code: Select all
sudo apt-get install -f
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Statusinformationen werden eingelesen... Fertig
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 2 nicht aktualisiert.
1 nicht vollständig installiert oder entfernt.
Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.
linux-image-3.2.0-24-generic (3.2.0-24.38) wird eingerichtet ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Not updating initrd symbolic links since we are being updated/reinstalled
(3.2.0-24.37 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(3.2.0-24.37 was configured last, according to dpkg)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.2.0-24-generic /boot/vmlinuz-3.2.0-24-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-24-generic /boot/vmlinuz-3.2.0-24-generic
update-initramfs: Generating /boot/initrd.img-3.2.0-24-generic
Warning: No support for locale: de_AT.utf8
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-24-generic /boot/vmlinuz-3.2.0-24-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-24-generic /boot/vmlinuz-3.2.0-24-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-24-generic /boot/vmlinuz-3.2.0-24-generic
Generating grub.cfg ...
/etc/grub.d/10_linux: 24: .: Can't open /usr/share/grub/grub-mkconfig_lib
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 2
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-24-generic.postinst line 1010.
dpkg: Fehler beim Bearbeiten von linux-image-3.2.0-24-generic (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 2 zurück
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist
   Fehler traten auf beim Bearbeiten von:
 linux-image-3.2.0-24-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
clemens@clemens-ThinkPad-R61 ~ $


any help would be really nice ! thanks

edit :

this seems to help :
https://bugs.launchpad.net/linuxmint/+bug/1006772

if i get into more "troubles" i will post a message :) thx !
lalilu
Level 1
Level 1
 
Posts: 3
Joined: Sun May 27, 2012 3:06 am

Re: linux mint dist upgrade (12 to 13) problem

Postby psylem on Tue Jun 05, 2012 5:30 am

jmcarter17 wrote:I have a similar problem.

This is what the output of apt-get dist-upgrade gives me.


I posted my experiences with the upgrade on this page... http://community.linuxmint.com/tutorial/view/62

I had the same problem, I think you'll find if you run...
Code: Select all
# dpkg --clear-avail
# dpkg --configure -a


Then open synaptic, find two broken libc packages and update them, then once they are upgraded synaptic does a good job of cleaning up any other broken packages.
psylem
Level 1
Level 1
 
Posts: 4
Joined: Thu Feb 09, 2012 12:35 am

Re: linux mint dist upgrade (12 to 13) problem

Postby tjanssen on Mon Jun 11, 2012 3:45 am

Hi,

After upgrading, I resolved the issue
unable to open '/usr/lib/firefox-addons/extensions/mint-search-enhancer@linuxmint.com/install.rdf.dpkg-new'

in Synaptic by removing packages "mint-meta-core" and "mint-search-addon",
then installing them again.
tjanssen
Level 1
Level 1
 
Posts: 1
Joined: Mon Jun 11, 2012 3:03 am

Re: linux mint dist upgrade (12 to 13) problem

Postby webass on Mon Aug 13, 2012 5:24 pm

I had this problem with LMDE and using snypatic to uninstall mint-search-addon required to uninstall mint-meta-common ( I think).
Anyway, uninstalling it and then re-installing them both packages helped out of the situation.
Then after upgrad over console everything was fine and "dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/mint-search-addon_2012.05.11_all.deb (--unpack):" vanished again... everything fine now.
reboot-the-root-noob.
webass
Level 1
Level 1
 
Posts: 46
Joined: Tue Apr 05, 2011 2:22 pm

Re: linux mint dist upgrade (12 to 13) problem

Postby theophrastus on Mon Aug 13, 2012 7:14 pm

webass wrote:I had this problem with LMDE and using snypatic to uninstall mint-search-addon required to uninstall mint-meta-common ( I think).
Anyway, uninstalling it and then re-installing them both packages helped out of the situation.
Then after upgrad over console everything was fine and "dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/mint-search-addon_2012.05.11_all.deb (--unpack):" vanished again... everything fine now.

"me too"/confirmed. doing a dist-upgrade today and saw:
Errors were encountered while processing:
/var/cache/apt/archives/mint-search-addon_2012.05.11_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

performed: dpkg -r mint-search-addon; apt-get install mint-search-addon ...and all is (apparently) ticketyboo
theophrastus
Level 1
Level 1
 
Posts: 17
Joined: Sat Jul 02, 2011 7:17 pm

Re: linux mint dist upgrade (12 to 13) problem

Postby ptruchon on Mon Aug 13, 2012 10:20 pm

Same with LMDE. For me, what worked was:
Code: Select all
sudo aptitude remove mint-search-addon mint-meta-common
sudo aptitude install mint-search-addon mint-meta-common
ptruchon
Level 1
Level 1
 
Posts: 22
Joined: Sun Nov 20, 2011 10:25 pm

Re: linux mint dist upgrade (12 to 13) problem

Postby guyr on Mon Aug 20, 2012 7:35 pm

I followed the instructions here to upgrade from 12 to 13. I encountered the same issues reported, and the workarounds worked for me. Thanks for posting. However, now that I'm finally done after 2 days of upgrading (!), lsb_release still says I'm running 12:

guyr@mint64:/etc/apt$ lsb_release -a
No LSB modules are available.
Distributor ID: LinuxMint
Description: Linux Mint 12 Lisa
Release: 12
Codename: lisa

Does anyone else see the same thing, or am I missing a step?
guyr
Level 1
Level 1
 
Posts: 3
Joined: Mon Aug 20, 2012 7:10 pm

Re: linux mint dist upgrade (12 to 13) problem

Postby fpeelo on Mon Jan 07, 2013 4:03 am

However, now that I'm finally done after 2 days of upgrading (!), lsb_release still says I'm running 12


Yes, and I've done the next step (13 to 14) as well, and my system STILL says I'm running 12.

I did get asked during the upgrade about files like /etc/issue, apt-get complained that someone other than the maintainer was after changing it from "ubuntu" to "mint", so I suppose it's a good thing that the system doesn't claim to be Ubuntu :)

Wonder how much of a problem this is, or is it just an indicator that other things may also not have been upgraded?

By the way, why would you do
apt-get upgrade
after changing the repositories? Surely doing
apt-get dist-upgrade
would do everything that the apt-get upgrade would do, but also handle dependencies that were broken by the distribution repackaging? If apt-get upgrade was to be used, surely it would to bring the system to the latest version of the old system, before changing the repositories?

Frank
fpeelo
Level 1
Level 1
 
Posts: 32
Joined: Wed Nov 16, 2011 7:44 pm

Linux Mint is funded by ads and donations.
 

Return to Installation & Boot

Who is online

Users browsing this forum: austin.texas, Yahoo [Bot] and 19 guests